export interface Detail {
  show: boolean;
  headcode: string;
  rid: string;
  uid: string;
}

export function detailInit(): Detail {
  const detail: Detail = {
    show: false,
    headcode: '',
    rid: '',
    uid: ''
  };
  return detail;
}

export function defineDetail(rid: string, uid: string, tid: string) {
  const detail: Detail = {
    rid: rid,
    uid: uid,
    headcode: tid,
    show: true
  };
  return detail;
}
